Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind
Class MappingJsonFactory

    java.lang.Object
      com.fasterxml.jackson.core.JsonFactory
          com.fasterxml.jackson.databind.MappingJsonFactory

All Implemented Interfaces:
  Versioned, Serializable

    public class MappingJsonFactory

extends JsonFactory

Sub-class of `JsonFactory` that will create a proper `ObjectCodec` to allow seam-less conversions between JSON content and Java objects (POJOs). The only addition to regular `JsonFactory` currently is that `ObjectMapper` is constructed and passed as the codec to use.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonFactory
`JsonFactory.Feature`

Field Summary

Fields inherited from class com.fasterxml.jackson.core.JsonFactory
`_characterEscapes, _factoryFeatures, _generatorFeatures, _inputDecorator, _objectCodec, _outputDecorator, _parserFeatures, _recyclerRef, _rootByteSymbols, _rootCharSymbols, _rootValueSeparator, DEFAULT_FACTORY_FEATURE_FLAGS, DEFAULT_GENERATOR_FEATURE_FLAGS, DEFAULT_PARSER_FEATURE_FLAGS, FORMAT_NAME_JSON`

Constructor Summary
`MappingJsonFactory()`
`MappingJsonFactory(ObjectMapper mapper)`

Method Summary
`JsonFactory` | `copy()`
`ObjectMapper` | `getCodec()` We'll override the method to return more specific type; co-variance helps here
`String` | `getFormatName()` Sub-classes need to override this method (as of 1.8)
`MatchStrength` | `hasFormat(InputAccessor acc)` Sub-classes need to override this method (as of 1.8)

Methods inherited from class com.fasterxml.jackson.core.JsonFactory
`_checkInvalidCopy, _createContext, _createGenerator, _createJsonGenerator, _createJsonParser, _createJsonParser, _createJsonParser, _createParser, _createParser, _createParser, _createUTF8Generator, _createUTF8JsonGenerator, _createWriter, _getBufferRecycler, _optimizedStreamFromURL, canUseSchema, configure, configure, configure, createGenerator, createGenerator, createGenerator, createGenerator, createJsonGenerator, createJsonGenerator, createJsonGenerator, createJsonGenerator, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, disable, disable, disable, enable, enable, enable, getCharacterEscapes, getInputDecorator, getOutputDecorator, getRootValueSeparator, hasJSONFormat, isEnabled, isEnabled, isEnabled, readResolve, requiresCustomCodec, setCharacterEscapes, setCodec, setInputDecorator, setOutputDecorator, setRootValueSeparator, version`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingJsonFactory

    public MappingJsonFactory()

### MappingJsonFactory

    public MappingJsonFactory(ObjectMapper mapper)

Method Detail

### getCodec

    public final ObjectMapper getCodec()

  We'll override the method to return more specific type; co-variance helps here

  Overrides:
    `getCodec` in class `JsonFactory`

### copy

    public JsonFactory copy()

  Overrides:
    `copy` in class `JsonFactory`

### getFormatName

    public String getFormatName()

  Sub-classes need to override this method (as of 1.8)

  Overrides:
    `getFormatName` in class `JsonFactory`

### hasFormat

    public MatchStrength hasFormat(InputAccessor acc)
                            throws IOException

  Sub-classes need to override this method (as of 1.8)

  Overrides:
    `hasFormat` in class `JsonFactory`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.